aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'gen_funcs.sh')
-rwxr-xr-xgen_funcs.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/gen_funcs.sh b/gen_funcs.sh
index 38a7a04..ed742d1 100755
--- a/gen_funcs.sh
+++ b/gen_funcs.sh
@@ -22,8 +22,8 @@ isTrue() {
return 1
}
-setColorVars() {
- if isTrue "${USECOLOR}"
+set_color_vars() {
+ if ! isTrue "${NOCOLOR}"
then
GOOD=$'\e[32;01m'
WARN=$'\e[33;01m'
@@ -40,7 +40,7 @@ setColorVars() {
UNDER=''
fi
}
-setColorVars
+set_color_vars
dump_debugcache() {
TODEBUGCACHE=no